import type { JsonSchema } from "@jsonforms/core";
export declare const categorizationRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").Layout>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").Layout>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const objectRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const allOfRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const anyOfRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const OneOfRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const enumArrayRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const booleanToggleControlRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const radioGroupControlRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const sliderControlRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const passwordControlRendererEntry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
export declare const boplusVueVanillaRenderers: ({
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").Layout>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").Layout>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
} | {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
})[];
