import type { JsonFormsUISchema, ToolInterface } from "./tools/index";
import type { ControlElement, Layout } from "@jsonforms/core/src/models/uischema";
import type { JsonSchema, UISchemaElement } from "@jsonforms/core";
import type { JsonFormsInterface } from "./models";
export declare const updatePropertyNameAndScope: (propertyName: string | undefined, tool: ToolInterface) => string;
/**
 * - prop = data.personal.age
 * - subpaths = ['data', 'data.personal','data.personal.age']
 */
export declare const getAllSubpaths: (prop: string, startIndex?: number) => string[];
export declare const cloneEmptyTool: (tool: ToolInterface, schema?: JsonSchema | undefined) => ToolInterface;
export declare const cloneToolWithSchema: (tool: ToolInterface, schema: JsonSchema, uischema: UISchemaElement) => ToolInterface;
export declare const initArrayElements: (tool: ToolInterface) => Array<ToolInterface>;
export declare const initCombinatorElements: (tool: ToolInterface) => Array<ToolInterface>;
export declare const initObjectElements: (tool: ToolInterface) => Array<ToolInterface>;
export declare const findBaseTool: (schema: JsonSchema, uischema: ControlElement | Layout) => ToolInterface;
export declare const initElements: (tool: ToolInterface) => Array<ToolInterface>;
export declare const createJsonForms: (rootForm: any, rootSchema: JsonSchema, schemaReadOnly: boolean) => JsonFormsInterface;
export declare const setItemSchemaToSchema: (tool: ToolInterface, rootSchema: JsonSchema) => void;
export declare const getRequiredPath: (propertyName: string) => string;
export declare const getRequiredFromSchema: (propertyName: string, schema: JsonSchema) => Array<string>;
export declare const setRequiredToSchema: (propertyName: string, schema: JsonSchema, isRequired?: boolean) => void;
export declare const getItemsType: (schema: JsonSchema) => string | undefined;
export declare const createTypeArraySchema: (refElm: any) => Record<string, JsonSchema>;
export declare const createTypeObjectSchema: (refElm: any) => Record<string, JsonSchema>;
export declare const createCombinatorSchema: (refElm: any) => Record<string, JsonSchema>;
export declare const createJsonUiSchema: (refElm: any, rootSchema: JsonSchema) => JsonFormsUISchema;
export declare const createI18nTranslate: (localeCatalogue: Record<string, string>) => (key: string, defaultMessage: string, context: any) => string;
export declare const findAllProperties: (schema: JsonSchema, rootPath?: string) => Record<string, JsonSchema>;
export declare const findAllScopes: (uischema: ControlElement | Layout | UISchemaElement) => Array<string>;
type Callback = (ref: URI) => JsonSchema | undefined;
export declare const resolveSchema: (schema: any, callback?: Callback | undefined) => Promise<any>;
export {};
