import type { JsonSchema } from "@jsonforms/core";
import type { RankedTester } from "@jsonforms/core/src/testers/testers";
import type { JsonFormsInterface, JsonFormsUISchema } from "../models";
export type { JsonFormsInterface, JsonFormsUISchema };
export declare const layoutTools: (import("./labelTool").LabelTool | import("./layoutTool").VerticalLayout | import("./ListWithDetailTool").ListWithDetailTool)[];
export declare const controlTools: (import("./combinatorTool").CombinatorTool | import("./ObjectTool").ObjectTool | import("./SelectTool").SelectTool | import("./referenceTool").ReferenceTool | import("./controlTool").ControlTool | import("./ArrayTool").ArrayTool)[];
export interface ToolInterface {
    uuid: string;
    propertyName: string;
    isRequired: boolean;
    schema: JsonSchema;
    uischema: JsonFormsUISchema | any;
    schemaReadOnly: boolean;
    tester: RankedTester | undefined;
    importer: () => any;
    optionDataPrepare: (tool: ToolInterface) => Record<string, any>;
    optionDataUpdate: (tool: ToolInterface, data: Record<string, any>) => void;
    optionJsonforms: (tool: ToolInterface) => Promise<JsonFormsInterface | undefined>;
    clone: () => ToolInterface;
    toolbarOptions: () => Record<string, any>;
}
